<?php
const SYSPEACE_LOG_PORT = 60100;
function SyspeaceLogAccess($reportingtoken, $username, $success, $website, $ip=false)
{

	if($ip===false)
	{
		$IP = $_SERVER['REMOTE_ADDR'];
	}
	else
	{
		$IP = $ip;
	}

	$IPLong = ip2long($IP);

	if(($IPLong === -1 || $IPLong === false) || ($success != true && $success != false) || $username === null || $website === null)
	{
		return;
	}
	$Time = strftime("%Y-%m-%d %H:%M:%S");

	$UserName = $username.'';

	$Success = $success;

	$Website = $website;

	$ReportingToken = $reportingtoken.'';

	$arr = array('IP' => $IP, 'Success' => $Success, 'UserName' => $UserName, 'UTCTimestamp' => $Time, 'ReportingToken' => $ReportingToken, 'Website' => $Website);
	$JSONObject = json_encode($arr);
		$options = array(
		  'http' => array(
			'method'  => 'POST',
			'content' => $JSONObject,
			'header'=>  "Content-Type: application/json\r\n" .
						"Accept: application/json\r\n"
			)
		);

	$context  = stream_context_create( $options );
	$url = "http://localhost:".SYSPEACE_LOG_PORT."/report";
    if( ini_get('allow_url_fopen') )
    {
	    $result = file_get_contents( $url, false, $context );
    }
    else if(function_exists('curl_init'))
    {
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $JSONObject);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/json',
                'Content-Length: ' . strlen($JSONObject))
        );

        $result = curl_exec($ch);
    }

}
?>